## ros-melodic-nmea-gps-plugin 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nmea_gps_plugin)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  #gazebo
  gazebo_ros
  geodesy
  nmea_msgs
  geographic_msgs
  roscpp
  quaternion_operation
)

catkin_package(
  INCLUDE_DIRS include
#  LIBRARIES nmea_gps_plugin
  CATKIN_DEPENDS gazebo gazebo_ros geodesy nmea_msgs roscpp quaternion_operation
#  DEPENDS system_lib
)

find_package(gazebo REQUIRED)

find_package(Eigen3 REQUIRED)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${GAZEBO_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIR}
)

link_directories(${GAZEBO_LIBRARY_DIRS})

add_library(nmea_gps_plugin src/nmea_gps_plugin.cpp src/gps_sensor_model.cpp)
target_link_libraries(nmea_gps_plugin ${catkin_LIBRARIES} ${GAZEBO_LIBRARIES})

# Install Headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

# Install library/executable
install(TARGETS nmea_gps_plugin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== debian/changelog ===
ros-melodic-nmea-gps-plugin (0.0.2-1stretch) stretch; urgency=high

  * Merge pull request #2 <https://github.com/OUXT-Polaris/nmea_gps_plugin/issues/2> from OUXT-Polaris/develop
    Develop
  * Merge pull request #1 <https://github.com/OUXT-Polaris/nmea_gps_plugin/issues/1> from OUXT-Polaris/feature/improve_lat_lon_accuracy
    fix     std::string NmeaGpsPlugin::convertToDmm(double value) function
  * fix     std::string NmeaGpsPlugin::convertToDmm(double value) function
  * Update README.md
  * Contributors: Masaya Kataoka
  * Merge pull request #2 <https://github.com/OUXT-Polaris/nmea_gps_plugin/issues/2> from OUXT-Polaris/develop
    Develop
  * Merge pull request #1 <https://github.com/OUXT-Polaris/nmea_gps_plugin/issues/1> from OUXT-Polaris/feature/improve_lat_lon_accuracy
    fix     std::string NmeaGpsPlugin::convertToDmm(double value) function
  * fix     std::string NmeaGpsPlugin::convertToDmm(double value) function
  * Update README.md
  * Contributors: Masaya Kataoka
  * Merge pull request #2 <https://github.com/OUXT-Polaris/nmea_gps_plugin/issues/2> from OUXT-Polaris/develop
    Develop
  * Merge pull request #1 <https://github.com/OUXT-Polaris/nmea_gps_plugin/issues/1> from OUXT-Polaris/feature/improve_lat_lon_accuracy
    fix     std::string NmeaGpsPlugin::convertToDmm(double value) function
  * fix     std::string NmeaGpsPlugin::convertToDmm(double value) function
  * Update README.md
  * Contributors: Masaya Kataoka

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Fri, 12 Jul 2019 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-nmea-gps-plugin
Section: misc
Priority: extra
Maintainer: Masaya Kataoka <ms.kataoka@gmail.com>
Build-Depends: debhelper (>= 9.0.0), gazebo7, libeigen3-dev, ros-melodic-catkin, ros-melodic-gazebo-ros, ros-melodic-geodesy, ros-melodic-geographic-msgs, ros-melodic-nmea-msgs, ros-melodic-quaternion-operation, ros-melodic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-nmea-gps-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo7, libeigen3-dev, ros-melodic-gazebo-ros, ros-melodic-geodesy, ros-melodic-geographic-msgs, ros-melodic-nmea-msgs, ros-melodic-quaternion-operation, ros-melodic-roscpp, ros-melodic-rosdoc-lite
Description: The nmea_gps_plugin package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-nmea-gps-plugin//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
